Bug 476982 - Can't scroll by pressing middle button and trackpoint
Can't scroll by pressing middle button and trackpoint
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 09:22 EST by Amit Shah
Modified: 2009-01-04 18:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-04 18:47:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (43.18 KB, text/plain)
2008-12-21 05:58 EST, Amit Shah
no flags Details
Xorg.0.log (39.25 KB, text/plain)
2008-12-22 06:39 EST, Amit Shah
no flags Details
10-x11-input.fdi (1.55 KB, text/plain)
2008-12-22 06:40 EST, Amit Shah
no flags Details
lshal output (117.71 KB, text/plain)
2008-12-22 06:42 EST, Amit Shah
no flags Details

  None (edit)
Description Amit Shah 2008-12-18 09:22:20 EST
Description of problem:
Scrolling doesn't work by using the trackpoint and middle button on my ThinkPad X200 running F10 (with fedora-updates enabled).

Version-Release number of selected component (if applicable):

$ rpm -q xorg-x11-drv-evdev
xorg-x11-drv-evdev-2.0.7-3.fc10.x86_64

Actual results:
Can only use middle click

Expected results:
Should be able to scroll


Additional info:
Comment 1 Matěj Cepl 2008-12-20 19:57:47 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Amit Shah 2008-12-21 05:58:50 EST
Created attachment 327570 [details]
Xorg.0.log

Attaching the Xorg.0.log file. I don't have a /etc/X11/xorg.conf
Comment 3 Peter Hutterer 2008-12-21 18:21:00 EST
I don't understand. Why should the trackpoint scroll? It's just another mouse, and the button is just another button. Do you have a configuration option you're trying to set?
Comment 4 Amit Shah 2008-12-22 02:37:29 EST
I basically want to get this done:

http://www.thinkwiki.org/wiki/How_to_configure_the_TrackPoint#TrackPoint_under_Xorg-7.4.2B_using_HAL

That page says that I need to update to the rawhide version of evdev (2.1.0) to emulate the middle mouse button as a scroll wheel.

In earlier versions (where this could be done from xorg.conf), it was easier to set up by adding a couple of lines.

Any chance this can be done in the F10 updates?
Comment 5 Peter Hutterer 2008-12-22 05:44:13 EST
yes, it can be done but the server isn't picking up your configuration (if you have any) which indicates some misconfiguratoin on your side. Under fedora, the fdi file is in /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi.

Add the options there, then restart hal and check the options appear on the device by checking the output of lshal. Once they appear there, restart X. If you cannot get it to work, please attach the modified fdi file and the output of lshal.
Comment 6 Amit Shah 2008-12-22 06:39:37 EST
Created attachment 327630 [details]
Xorg.0.log

Xorg.0.log after updating the fdi file
Comment 7 Amit Shah 2008-12-22 06:40:49 EST
Created attachment 327631 [details]
10-x11-input.fdi

The updated input fdi file
Comment 8 Amit Shah 2008-12-22 06:42:02 EST
Created attachment 327632 [details]
lshal output
Comment 9 Amit Shah 2008-12-22 06:43:11 EST
The options do appear in the lshal output, but X doesn't recognise them. I've not tried the evdev driver from rawhide to test if it really does work after the upgrade.
Comment 10 Peter Hutterer 2008-12-22 17:29:32 EST
you need to update to evdev 2.1. Version 2.0.x doesn't have the feature you want. 
If it works for you, please add to it's karma so it does get into stable soon.

https://admin.fedoraproject.org/updates/F10/FEDORA-2008-9986
Comment 11 Amit Shah 2008-12-23 00:46:40 EST
I got the newer evdev rpm from koji from the link you mentioned and that makes scrolling work.

I added a comment there but the karma seems to have remained the same.

In any case, this helps. Thanks.
Comment 12 Peter Hutterer 2009-01-04 18:47:13 EST
evdev 2.1.0 has been submitted for stable, closing.

Note You need to log in before you can comment on or make changes to this bug.